package com.zbf.system.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.zbf.common.annotation.DataScope;
import com.zbf.system.domain.TMiStock;
import com.zbf.system.domain.TRkWareNoticeTab;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl; //添加
import com.zbf.common.utils.DateUtils;
import com.zbf.system.domain.TRkWareNoticeTabBak;
import com.zbf.system.mapper.TRkWareNoticeTabBakMapper;
import com.zbf.system.service.ITRkWareNoticeTabBakService;

/**
 * 入库通知单明细备份Service业务层处理
 *
 * @author tony
 * @date 2024-06-14
 */
@Service
public class TRkWareNoticeTabBakServiceImpl extends ServiceImpl<TRkWareNoticeTabBakMapper, TRkWareNoticeTabBak> implements ITRkWareNoticeTabBakService //修改
{
    @Autowired
    private TRkWareNoticeTabBakMapper tRkWareNoticeTabBakMapper;

    /**
     * 查询入库通知单明细备份
     *
     * @param id 入库通知单明细备份主键
     * @return 入库通知单明细备份
     */
    @Override
    public TRkWareNoticeTabBak selectTRkWareNoticeTabBakById(String id)
    {
        return tRkWareNoticeTabBakMapper.selectTRkWareNoticeTabBakById(id);
    }



    /**
     * 查询入库通知单明细备份列表
     *
     * @param tRkWareNoticeTabBak 入库通知单明细备份
     * @return 入库通知单明细备份
     */
    @Override
    public List<TRkWareNoticeTabBak> selectTRkWareNoticeTabBakList(TRkWareNoticeTabBak tRkWareNoticeTabBak)
    {
        return tRkWareNoticeTabBakMapper.selectTRkWareNoticeTabBakList(tRkWareNoticeTabBak);
    }

    /**
     * 新增入库通知单明细备份
     *
     * @param tRkWareNoticeTabBak 入库通知单明细备份
     * @return 结果
     */
    @Override
    public int insertTRkWareNoticeTabBak(TRkWareNoticeTabBak tRkWareNoticeTabBak)
    {
        return tRkWareNoticeTabBakMapper.insertTRkWareNoticeTabBak(tRkWareNoticeTabBak);
    }

    /**
     * 修改入库通知单明细备份
     *
     * @param tRkWareNoticeTabBak 入库通知单明细备份
     * @return 结果
     */
    @Override
    public int updateTRkWareNoticeTabBak(TRkWareNoticeTabBak tRkWareNoticeTabBak)
    {
        tRkWareNoticeTabBak.setUpdateTime(DateUtils.getNowDate());
        return tRkWareNoticeTabBakMapper.updateTRkWareNoticeTabBak(tRkWareNoticeTabBak);
    }

    /**
     * 批量删除入库通知单明细备份
     *
     * @param ids 需要删除的入库通知单明细备份主键
     * @return 结果
     */
    @Override
    public int deleteTRkWareNoticeTabBakByIds(String[] ids)
    {
        return tRkWareNoticeTabBakMapper.deleteTRkWareNoticeTabBakByIds(ids);
    }

    /**
     * 删除入库通知单明细备份信息
     *
     * @param id 入库通知单明细备份主键
     * @return 结果
     */
    @Override
    public int deleteTRkWareNoticeTabBakById(String id)
    {
        return tRkWareNoticeTabBakMapper.deleteTRkWareNoticeTabBakById(id);
    }


    /**
     * 批量禁用
     *
     * @param id 入库通知单明细备份主键
     * @return 结果
     */
    @Override
    public int disabledTRkWareNoticeTabBakByIds(String[] ids) {
        return tRkWareNoticeTabBakMapper.disabledTRkWareNoticeTabBakByIds(ids);
    }

    /**
     * 批量启用
     *
     * @param id 入库通知单明细备份主键
     * @return 结果
     */
    @Override
    public int enableTRkWareNoticeTabBakByIds(String[] ids) {
        return tRkWareNoticeTabBakMapper.enableTRkWareNoticeTabBakByIds(ids);
    }

    /**
     * 修改状态
     *
     * @param tRkWareNoticeTabBak 工序管理主键
     * @return 结果
     */
    @Override
    public int updateStatus(TRkWareNoticeTabBak tRkWareNoticeTabBak) {
        return tRkWareNoticeTabBakMapper.updateTRkWareNoticeTabBak(tRkWareNoticeTabBak);
    }

    @Override
    public List<TRkWareNoticeTabBak> select( TRkWareNoticeTabBak tRkWareNoticeTabBak) {
        List<TRkWareNoticeTabBak> tRkWareNoticeTabBaks = tRkWareNoticeTabBakMapper.select(tRkWareNoticeTabBak);
        return tRkWareNoticeTabBaks;
    }



}
